# Generated from rspec-with-args-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec-with-args

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: adding arguments to the subject
License: MIT
URL: https://github.com/kwstannard/rspec-with-args
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
rspec-with-args attempts to cut out having to explicitly write the subject of
your example group when trying to call methods or add arguments to methods. It
works by reading the conventional description syntax to determine what the
subject is. Then allowing you to explicitly state what variables will be
passed in as arguments.
Currently it supports initialization, class methods, and instance methods.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.3-1
- Initial package
